---
title: "UK Boiler Upgrade Scheme £7,500 Heat Pump Grant Calculator 2026/27"
source_url: "https://customersnow.co.uk/tools/heat-pump-grant-calculator"
canonical_url: "https://customersnow.co.uk/tools/heat-pump-grant-calculator"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Check your eligibility for the £7,500 UK Government Boiler Upgrade Scheme (BUS) grant. Calculate air source heat pump installation costs, fuel bill savings, and radiator sizing."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://customersnow.co.uk/tools/heat-pump-grant-calculator](https://customersnow.co.uk/tools/heat-pump-grant-calculator)
>
> *Check your eligibility for the £7,500 UK Government Boiler Upgrade Scheme (BUS) grant. Calculate air source heat pump installation costs, fuel bill savings, and radiator sizing.*

# UK Boiler Upgrade Scheme (£7,500 BUS) Grant Calculator

Calculate your net installation cost after the statutory £7,500 voucher, annual fuel bill reductions against oil/LPG/gas, and local MCS certified installer quotes.

### Property & Current Heating Details

### Ready to claim your £7,500 BUS Grant & home heat survey?

Connect with strictly ONE accredited local heat pump engineer covering your postal district.

## 2026 Air Source Heat Pump Installed Costs vs. £7,500 Grant

Turnkey installation costs including outdoor heat pump unit, hot water cylinder replacement, minor radiator upgrades, and MCS commissioning.

| Property Size / Heat Demand | Heat Pump Capacity | Gross Installed Cost | BUS Grant Voucher | Net Homeowner Cost |
| :--- | :--- | :--- | :--- | :--- |
| 2–3 Bed Semi-Detached | 5 kW – 7 kW | £9,500 – £11,200 | -£7,500 | £2,000 – £3,700 |
| 4 Bed Detached Home | 8 kW – 12 kW | £11,800 – £14,500 | -£7,500 | £4,300 – £7,000 |
| Large 5+ Bed Country Home | 14 kW – 16 kW+ | £14,500 – £18,000 | -£7,500 | £7,000 – £10,500 |

### Replacing Oil, LPG & Mains Gas: Running Cost Realities

Air source heat pumps operate at an average seasonal efficiency (SCOP) of 300% to 400%, generating 3 to 4 units of heat for every 1 unit of electricity consumed.

## Frequently Asked Heat Pump & Grant Questions

### How is the £7,500 grant applied? Do I have to claim it back myself?

No paperwork for you: Your MCS-certified installer applies for the BUS grant voucher from Ofgem on your behalf and deducts the full £7,500 directly from your initial quote and final invoice.

### Will I need to replace all the radiators in my house?

Usually only 20% to 40% of radiators need upgrading to slightly larger double-panel (Type 22) units to heat rooms effectively at the lower 45°C–50°C water flow temperatures used by heat pumps.

### Are heat pumps noisy?

Modern domestic units operate at 40–48 dB(A) at a distance of 1 metre—roughly equivalent to the sound level of a domestic refrigerator or gentle background hum.

### Check Your Home's £7,500 BUS Grant Eligibility

Connect with certified, MCS-accredited heating engineers operating in your postal district. 100% free with zero obligation.

## Structured FAQ Summary (Schema.org Grounded)
- **Who qualifies for the £7,500 Boiler Upgrade Scheme (BUS) grant?** Homeowners and small business owners in England and Wales replacing an existing fossil fuel system (gas, oil, LPG, or electric storage) with an MCS-certified heat pump qualify for the non-repayable £7,500 discount applied directly to their invoice.
- **How much does an air source heat pump cost after the £7,500 grant?** A typical domestic installation costs £9,500 to £13,500. After deducting the £7,500 government grant, homeowner net outlay typically ranges between £2,000 and £6,000, making it comparable to replacing a premium gas boiler.
- **Do I need cavity wall or loft insulation to claim the grant?** Under updated government rules, mandatory insulation requirements have been relaxed. While an EPC is required with no outstanding loft/cavity insulation recommendations, homes without cavity walls can still qualify.

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://customersnow.co.uk/tools/heat-pump-grant-calculator](https://customersnow.co.uk/tools/heat-pump-grant-calculator).
